#include <bits/stdc++.h>


using namespace std;



int main()
{
	int n,k,br=0;
	cin>>n>>k;
	int niz[n];
	for(int i=0; i<n; i++){
		cin>>niz[i];
		if(k==niz[i]){
			br=i;
		}
	}
	if(k==niz[n-1]){
		cout<<niz[0];
	}else{
		cout<<niz[br+1];
	}



}